pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: OCaml 4 (and hello)

On 04/10/2012 15:52, Matthias Kretschmer wrote:

is there anything in OCaml 4 that should break old code?  Looking at the
release announcement it sounds like the language changes are backward
compatible.  I would expect everything to just work (except of course
using the builtin marshalling between OCaml 4 and 3.x applications).

That's what I thought too, but I've already had to update some packages, net/ocamlnet for example. Sometimes breakage is also just caused by the fact that things are installed in different places (the compiler libraries, for one, which breaks devel/ocaml-findlib).

So yes, most packages should continue to work without problems, but still, some breakage is to be expected...


Home | Main Index | Thread Index | Old Index